Close

Teensy 4.0

A project log for PolyMod 2: modular digital synthesizer

New, improved version of the PolyMod modular digital synthesizer, which was a Hackaday Prize semi-finalist in 2018.

Matt BradshawMatt Bradshaw 08/21/2019 at 09:154 Comments

Just a quick update to say that this project is now almost certain to use the Teensy 4.0 as its main microcontroller. The Teensy 4.0 was released this month and is somehow both incredibly cheap and amazingly powerful. I haven't managed to get hold of one in the UK yet, and the audio board hasn't yet been updated to be compatible, but all indications are that the Teensy 4.0 will be the perfect board for this project. Check out the new Teensy's specs here: https://www.pjrc.com/teensy-4-0/

I've been on a break from this project for a while, focusing on my DrumKid drum machine for the 2019 Hackaday Prize, but the deadline for that is in a few days so I'll definitely have some time to work on PolyMod 2 over the coming weeks and months. I've now got a lot more experience (albeit self-taught and probably flawed!) with PCB design and, to an extent, product design, so I'm feeling a lot more confident about making PolyMod 2 a reality.

Discussions

Paul Stoffregen wrote 08/22/2019 at 13:21 point

Rev D audio shields (same circuit, but with pins wired for Teensy 4.0) should arrive around mid-September.

  Are you sure? yes | no

Matt Bradshaw wrote 08/22/2019 at 13:34 point

Excellent news, thank you! :)

  Are you sure? yes | no

Roger Labbett wrote 08/22/2019 at 12:21 point

I saw a posting on the Teensy forum last week which left me optimistic that we may see a compatible audio board quite soon, although I appreciate that Paul is juggling a lot of balls at the moment. Shame I can't find the posting again now to link to!  In the interim, I think it is possible to use the current audio board if you use the Beta test breakout board from OSH Park (not cheap) or maybe just wired connections.

  Are you sure? yes | no

Matt Bradshaw wrote 08/22/2019 at 12:59 point

Interesting, cheers for the update. I'm guessing the library itself will be completely compatible, so I can keep developing with a T3.6 and old audio board for now, as long as I keep in mind the reduced pin count.

  Are you sure? yes | no